﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Infragistics.Controls.Grids;

namespace xamGrid_summColumn
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            xg1.ItemsSource = new Data().getData;
        }

        private void UnitPrice_TextChanged(object sender, TextChangedEventArgs e)
        {
            int quantity = Convert.ToInt32((sender as TextBox).Text);
            int index = xg1.ActiveCell.Row.Index;

            Cell priceCell = xg1.Rows[index].Cells[1] as Cell;
            int price = Convert.ToInt32((priceCell.Control.Content as TextBox).Text);
                
          
            Cell lastCell = xg1.Rows[index].Cells.Last() as Cell;
            (lastCell.Control.Content as TextBox).Text = (quantity * price).ToString();
        }

    }

    public class Conv : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class Data
    {
        public List<Some> getData
        {
            get
            {
                List<Some> list = new List<Some>();
                list.Add(new Some() { Producutde = "monitor" });
                list.Add(new Some() { Producutde = "laptop" });
                list.Add(new Some() { Producutde = "keyboard" });

                return list;
            }
        }
    }

    public class Some
    {
        public string Producutde { get; set; }
       
    }
}
